Index: WAeUP_SRP/uniben/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2284)
+++ WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2285)
@@ -9,5 +9,7 @@
   <object name="application_manage" meta_type="CPS Layout"/>
   <object name="certificate" meta_type="CPS Layout"/>
+  <object name="import_certificate" meta_type="CPS Layout"/>
   <object name="certificate_course" meta_type="CPS Layout"/>
+  <object name="import_certificate_course" meta_type="CPS Layout"/>
   <object name="course" meta_type="CPS Layout"/>
   <object name="import_course" meta_type="CPS Layout"/>
Index: WAeUP_SRP/uniben/profiles/default/layouts/import_certificate.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/import_certificate.xml	(revision 2285)
+++ WAeUP_SRP/uniben/profiles/default/layouts/import_certificate.xml	(revision 2285)
@@ -0,0 +1,176 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="certificate" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="title" meta_type="String Widget">
+  <property name="fields">
+   <element value="title"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Title</property>
+  <property name="label_edit">Title</property>
+  <property name="display_width">40</property>
+  <property name="size_max">200</property>
+ </widget>
+ <widget name="code" meta_type="String Widget">
+  <property name="title">Certificate ID</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Certificate ID</property>
+  <property name="label_edit">Certificate ID</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="view"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+  <widget name="department_code" meta_type="String Widget">
+  <property name="title">Department Code</property>
+  <property name="fields">
+   <element value="department_code"/>
+  </property>
+  <property name="label">Department Code</property>
+  <property name="label_edit">Department Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">60</property>
+ </widget>
+ <widget name="admin_status" meta_type="String Widget">
+  <property name="title">Admin Status</property>
+  <property name="fields">
+   <element value="admin_status"/>
+  </property>
+  <property name="label">Admin Status</property>
+  <property name="label_edit">Admin Status</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="category" meta_type="String Widget">
+  <property name="title">Category</property>
+  <property name="fields">
+   <element value="category"/>
+  </property>
+  <property name="label">Category</property>
+  <property name="label_edit">Category</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="end_level" meta_type="Select Widget">
+  <property name="title">End Level</property>
+  <property name="fields">
+   <element value="end_level"/>
+  </property>
+  <property name="label">End Level</property>
+  <property name="label_edit">End Level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">levels</property>
+ </widget>
+ <widget name="max_pass" meta_type="Int Widget">
+  <property name="title">Maximum Pass</property>
+  <property name="fields">
+   <element value="max_pass"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Maximum Pass</property>
+  <property name="label_edit">Maximum Pass</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="nr_years" meta_type="Int Widget">
+  <property name="title">Nr of Years</property>
+  <property name="fields">
+   <element value="nr_years"/>
+  </property>
+  <property name="label">Nr of Years</property>
+  <property name="label_edit">Nr of Years</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="probation_credits" meta_type="Int Widget">
+  <property name="title">Probation  Credits</property>
+  <property name="fields">
+   <element value="probation_credits"/>
+  </property>
+  <property name="label">Probation Credits</property>
+  <property name="label_edit">Probation Credits</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="promotion_credits" meta_type="Int Widget">
+  <property name="title">Promotion Credits</property>
+  <property name="fields">
+   <element value="promotion_credits"/>
+  </property>
+  <property name="label">Promotion Credits</property>
+  <property name="label_edit">Promotion Credits</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="start_level" meta_type="Select Widget">
+  <property name="title">Start Level</property>
+  <property name="fields">
+   <element value="start_level"/>
+  </property>
+  <property name="label">Start Level</property>
+  <property name="label_edit">Start Level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">levels</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="code"/>
+  </row>
+  <row>
+   <cell name="department_code"/>
+  </row>
+  <row>
+   <cell name="title"/>
+  </row>
+  <row>
+   <cell name="start_level"/>
+  </row>
+  <row>
+   <cell name="end_level"/>
+  </row>
+  <row>
+   <cell name="max_pass"/>
+  </row>
+  <row>
+   <cell name="max_load"/>
+  </row>
+  <row>
+   <cell name="promotion_credits"/>
+  </row>
+  <row>
+   <cell name="probation_credits"/>
+  </row>
+  <row>
+   <cell name="admin_status"/>
+  </row>
+  <row>
+   <cell name="category"/>
+  </row>
+  <row>
+   <cell name="nr_years"/>
+  </row>
+ </table>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/layouts/import_certificate_course.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/import_certificate_course.xml	(revision 2285)
+++ WAeUP_SRP/uniben/profiles/default/layouts/import_certificate_course.xml	(revision 2285)
@@ -0,0 +1,88 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
+<object name="certificate_course" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="Title" meta_type="String Widget">
+  <property name="title">Title</property>
+  <property name="fields">
+   <element value="Title"/>
+  </property>
+  <property name="label">Title</property>
+  <property name="label_edit">Title</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="code" meta_type="String Widget">
+  <property name="title">Course Code</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Course Code</property>
+  <property name="label_edit">Course Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="level" meta_type="String Widget">
+  <property name="title">Level</property>
+  <property name="fields">
+   <element value="level"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Level</property>
+  <property name="label_edit">Level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="certificate_code" meta_type="String Widget">
+  <property name="title">Certificate Code</property>
+  <property name="fields">
+   <element value="certificate_code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Certificate  Code</property>
+  <property name="label_edit">Certificate Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="core_or_elective" meta_type="Boolean Widget">
+  <property name="title">Core or Elective</property>
+  <property name="fields">
+   <element value="core_or_elective"/>
+  </property>
+  <property name="label">Core or Elective</property>
+  <property name="label_edit">Core or Elective</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">elective</property>
+  <property name="label_true">core</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="Title"/>
+  </row>
+  <row>
+   <cell name="code"/>
+  </row>
+  <row>
+   <cell name="core_or_elective"/>
+  </row>
+ </table>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/layouts/import_course.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/import_course.xml	(revision 2284)
+++ WAeUP_SRP/uniben/profiles/default/layouts/import_course.xml	(revision 2285)
@@ -8,5 +8,5 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
-<widget name="code" meta_type="CourseId Widget">
+<widget name="code" meta_type="String Widget">
  <property name="title">Course Id</property>
  <property name="fields">
@@ -69,5 +69,5 @@
   <property name="display_width">60</property>
  </widget>
- <widget name="department_code" meta_type="String Widget">
+  <widget name="department_code" meta_type="String Widget">
   <property name="title">Department Code</property>
   <property name="fields">
@@ -76,4 +76,16 @@
   <property name="label">Department Code</property>
   <property name="label_edit">Department Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">60</property>
+ </widget>
+  <widget name="level" meta_type="String Widget">
+  <property name="title">Level</property>
+  <property name="fields">
+   <element value="level"/>
+  </property>
+  <property name="label">Level</property>
+  <property name="label_edit">Level</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: WAeUP_SRP/uniben/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2284)
+++ WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2285)
@@ -9,5 +9,7 @@
  <object name="application" meta_type="CPS Schema"/>
  <object name="certificate" meta_type="CPS Schema"/>
+ <object name="import_certificate" meta_type="CPS Schema"/>
  <object name="certificate_course" meta_type="CPS Schema"/>
+ <object name="import_certificate_course" meta_type="CPS Schema"/>
  <object name="import_course" meta_type="CPS Schema"/>
  <object name="course" meta_type="CPS Schema"/>
Index: WAeUP_SRP/uniben/profiles/default/schemas/import_certificate.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/import_certificate.xml	(revision 2285)
+++ WAeUP_SRP/uniben/profiles/default/schemas/import_certificate.xml	(revision 2285)
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="certificate" meta_type="CPS Schema">
+ <field name="title" meta_type="CPS String Field"/>
+ <field name="admin_status" meta_type="CPS String Field"/>
+ <field name="category" meta_type="CPS String Field"/>
+ <field name="department_code" meta_type="CPS String Field" />
+ <field name="code" meta_type="CPS String Field" />
+ <field name="end_level" meta_type="CPS String Field"/>
+ <field name="max_load" meta_type="CPS Int Field"/>
+ <field name="max_pass" meta_type="CPS Int Field"/>
+ <field name="nr_years" meta_type="CPS Int Field"/>
+ <field name="probation_credits" meta_type="CPS Int Field"/>
+ <field name="promotion_credits" meta_type="CPS Int Field"/>
+ <field name="start_level" meta_type="CPS String Field"/>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/schemas/import_certificate_course.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/import_certificate_course.xml	(revision 2285)
+++ WAeUP_SRP/uniben/profiles/default/schemas/import_certificate_course.xml	(revision 2285)
@@ -0,0 +1,8 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="certificate_course" meta_type="CPS Schema">
+ <field name="code" meta_type="CPS String Field" />
+ <field name="certificate_code" meta_type="CPS String Field" />
+ <field name="level" meta_type="CPS String Field" />
+ <field name="core_or_elective" meta_type="CPS Boolean Field"/>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/schemas/import_course.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/import_course.xml	(revision 2284)
+++ WAeUP_SRP/uniben/profiles/default/schemas/import_course.xml	(revision 2285)
@@ -6,5 +6,4 @@
  <field name="code" meta_type="CPS String Field"/>
  <field name="credits" meta_type="CPS Int Field"/>
- <field name="org_code" meta_type="CPS String Field"/>
  <field name="passmark" meta_type="CPS Int Field">
   <property name="default_expr">python:40</property>