Index: /WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/base/WAeUPTool.py	(revision 2296)
+++ /WAeUP_SRP/base/WAeUPTool.py	(revision 2297)
@@ -432,7 +432,7 @@
         #from pdb import set_trace; set_trace()
         d = {}
-        d['jamb_sex']  = 'M'
-        if dict.get('sex'):
-            d['jamb_sex']  = 'F'
+        #d['jamb_sex']  = 'M'
+        #if dict.get('sex'):
+        #    d['jamb_sex']  = 'F'
 
         entry_session = dict.get('entry_session')
@@ -1125,6 +1125,6 @@
                               'app_email',
                               'jamb_age',
-                              'jamb_state',
-                              'jamb_lga',
+                              #'jamb_state',
+                              #'jamb_lga',
                               )
                               },
Index: /WAeUP_SRP/base/skins/waeup_default/mail2admin.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_default/mail2admin.py	(revision 2296)
+++ /WAeUP_SRP/base/skins/waeup_default/mail2admin.py	(revision 2297)
@@ -21,11 +21,9 @@
 d['descr'] = descr
 
-#prop.email_from_address should be used for To:
-
 message = """
 From: %(fullname)s <%(email)s>
 To: %(email_from)s
 Cc: %(email)s
-Bcc: 'henrik@waeup.org'
+Bcc: 'waeup@saoas.org'
 Reply-To: %(email)s
 Subject: Uniben Contact
Index: /WAeUP_SRP/base/skins/waeup_student/student_index.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/student_index.py	(revision 2296)
+++ /WAeUP_SRP/base/skins/waeup_student/student_index.py	(revision 2297)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=batch=None
+##parameters=batch=None,portal_status_message=None
 ##title=
 ##
@@ -12,9 +12,4 @@
 return the current student_index
 """
-# from Products.AdvancedQuery import Eq, Between, Le,In
-# try:
-#     aq_portal = context.portal_catalog.evalAdvancedQuery
-# except:
-#     aq_portal = context.portal_catalog_real.evalAdvancedQuery
 
 request = context.REQUEST
@@ -36,5 +31,8 @@
         return context.payments_view()
     elif context.portal_type == 'Student':
-        return redirect("%s/student_view" % context.absolute_url())
+        if portal_status_message:
+            return redirect("%s/student_view?portal_status_message=%s" % (context.absolute_url(),portal_status_message))
+        else:
+            return redirect("%s/student_view" % context.absolute_url())
     elif context.portal_type == 'Payment':
         return context.payment_receipt()
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_student.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_student.xml	(revision 2296)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_student.xml	(revision 2297)
@@ -263,32 +263,4 @@
  </widget>
 
- <widget name="jamb_lga" meta_type="String Widget">
-  <property name="title">JAMB LGA</property>
-  <property name="fields">
-   <element value="jamb_lga"/>
-  </property>
-  <property name="label">JAMB LGA</property>
-  <property name="label_edit">JAMB LGA</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-      edit
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
-  <widget name="jamb_state" meta_type="String Widget">
-  <property name="title">JAMB State</property>
-  <property name="fields">
-   <element value="jamb_state"/>
-  </property>
-  <property name="label">JAMB State</property>
-  <property name="label_edit">JAMB State</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-      edit
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
  <widget name="matric_no" meta_type="String Widget">
   <property name="title">Matriculation No</property>