Index: WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 2307)
+++ WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 2307)
@@ -0,0 +1,655 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="application" meta_type="CPS Layout">
+  <property name="layout_create_method"></property>
+  <property name="layout_edit_method"></property>
+  <property name="layout_view_method"></property>
+  <property name="style_prefix">layout_apply_pume_</property>
+  <property name="flexible_widgets"/>
+  <property name="validate_values_expr"></property>
+
+  <widget name="reg_no" meta_type="JambRegNo Widget">
+    <property name="title">JAMB Registration Number</property>
+    <property name="fields">
+      <element value="reg_no"/>
+    </property>
+    <property name="label">JAMB Registration Number</property>
+    <property name="label_edit">JAMB Registration Number</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+    <property name="display_width">13</property>
+    <property name="size_max">13</property>
+    <property name="reference">reg_no</property>
+    <property name="catalog">applicants_catalog</property>
+  </widget>
+  <widget name="date_of_birth" meta_type="DateTime Widget">
+    <property name="title">Date of Birth</property>
+    <property name="fields">
+      <element value="date_of_birth"/>
+    </property>
+    <property name="label">Date of Birth</property>
+    <property name="label_edit">Date of Birth</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+    <property name="is_i18n">False</property>
+  </widget>
+  <widget name="department" meta_type="String Widget">
+    <property name="title">Department</property>
+    <property name="fields">
+      <element value="department"/>
+    </property>
+    <property name="label">Department</property>
+    <property name="label_edit">Department</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="email" meta_type="Email Widget">
+    <property name="title">Email</property>
+    <property name="fields">
+      <element value="email"/>
+    </property>
+    <property name="label">Email</property>
+    <property name="label_edit">Email</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="entry_mode" meta_type="String Widget">
+    <property name="title">Entry Mode</property>
+    <property name="fields">
+      <element value="entry_mode"/>
+    </property>
+    <property name="label">Entry Mode</property>
+    <property name="label_edit">Entry Mode</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="faculty" meta_type="String Widget">
+    <property name="title">Faculty</property>
+    <property name="fields">
+      <element value="faculty"/>
+    </property>
+    <property name="label">Faculty</property>
+    <property name="label_edit">Faculty</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="firstname" meta_type="String Widget">
+    <property name="title">Firstname</property>
+    <property name="fields">
+      <element value="firstname"/>
+    </property>
+    <property name="label">Firstname</property>
+    <property name="label_edit">Firstname</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="aggregate" meta_type="Int Widget">
+    <property name="title">Total Score</property>
+    <property name="fields">
+      <element value="aggregate"/>
+    </property>
+    <property name="label">Total Score</property>
+    <property name="label_edit">Total Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="eng_score" meta_type="Int Widget">
+    <property name="title">English Score</property>
+    <property name="fields">
+      <element value="eng_score"/>
+    </property>
+    <property name="label">'English' Score</property>
+    <property name="label_edit">'English' Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="subj1" meta_type="Select Widget">
+    <property name="title">Subject 1</property>
+    <property name="fields">
+      <element value="subj1"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit">label field</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+    <property name="vocabulary">jamb_subjects</property>
+  </widget>
+  <widget name="subj1score" meta_type="Int Widget">
+    <property name="title">Subject 1 Score</property>
+    <property name="fields">
+      <element value="subj1score"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit"></property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="subj2" meta_type="Select Widget">
+    <property name="title">Subject 2</property>
+    <property name="fields">
+      <element value="subj2"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit">label field</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+    <property name="vocabulary">jamb_subjects</property>
+  </widget>
+  <widget name="subj2score" meta_type="Int Widget">
+    <property name="title">Subject 2 Score</property>
+    <property name="fields">
+      <element value="subj2score"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit"></property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="subj3" meta_type="Select Widget">
+    <property name="title">Subject 3</property>
+    <property name="fields">
+      <element value="subj3"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit">label field</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">jamb_subjects</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="subj3score" meta_type="Int Widget">
+    <property name="title">Subject 3 Score</property>
+    <property name="fields">
+      <element value="subj3score"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit"></property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="lastname" meta_type="String Widget">
+    <property name="title">Name</property>
+    <property name="fields">
+      <element value="lastname"/>
+    </property>
+    <property name="label">Name</property>
+    <property name="label_edit">Name</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="lga" meta_type="WAeUP LGA Widget">
+    <property name="title">LGA</property>
+    <property name="fields">
+      <element value="lga"/>
+    </property>
+    <property name="label">LGA</property>
+    <property name="label_edit">LGA</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="middlenames" meta_type="String Widget">
+    <property name="title">Middlenames</property>
+    <property name="fields">
+      <element value="middlenames"/>
+    </property>
+    <property name="label">Middlenames</property>
+    <property name="label_edit">Middlenames</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="passport" meta_type="No Zodb Image Widget">
+    <property name="title">Passport Photograph</property>
+    <property name="fields">
+      <element value="passport"/>
+    </property>
+    <property name="is_required">True</property>
+    <property name="label">Passport Photograph</property>
+    <property name="label_edit">Passport Photograph</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="size_max">20480</property>
+    <property name="display_external_editor">False</property>
+    <property name="display_width">100</property>
+    <property name="display_height">150</property>
+    <property name="allow_resize">True</property>
+  </widget>
+  <widget name="phone" meta_type="String Widget">
+    <property name="title">Phone</property>
+    <property name="fields">
+      <element value="phone"/>
+    </property>
+    <property name="label">Phone</property>
+    <property name="label_edit">Phone</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="pin" meta_type="Pume Pin Widget">
+    <property name="title">Access Code</property>
+    <property name="fields">
+      <element value="pin"/>
+    </property>
+    <property name="label">Access Code</property>
+    <property name="label_edit">Access Code</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+    <property name="prefix">APP</property>
+    <property name="reference"></property>
+  </widget>
+  <widget name="application_date" meta_type="DateTime Widget">
+    <property name="title">Application Date</property>
+    <property name="fields">
+      <element value="application_date"/>
+    </property>
+    <property name="label">Application Date</property>
+    <property name="label_edit">Application Date</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="view_format">%A, %B %d, %Y</property>
+    <property name="time_setting">False</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="screening_date" meta_type="DateTime Widget">
+    <property name="title">Screening Date</property>
+    <property name="fields">
+      <element value="screening_date"/>
+    </property>
+    <property name="label">Screening Date</property>
+    <property name="label_edit">Screening Date</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="view_format">%A, %B %d, %Y</property>
+    <property name="time_setting">False</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="screening_type" meta_type="String Widget">
+    <property name="title">Screening Type</property>
+    <property name="fields">
+      <element value="screening_type"/>
+    </property>
+    <property name="label">Screening Type</property>
+    <property name="label_edit">Screening Type</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="score" meta_type="Int Widget">
+    <property name="title">Score</property>
+    <property name="fields">
+      <element value="score"/>
+    </property>
+    <property name="label">Score</property>
+    <property name="label_edit">Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+  </widget>
+  <widget name="sex" meta_type="WAeUP Sex Widget">
+    <property name="title">Sex</property>
+    <property name="fields">
+      <element value="sex"/>
+    </property>
+    <property name="label">Sex</property>
+    <property name="label_edit">Sex</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="state" meta_type="WAeUP LGA Widget">
+    <property name="title">State</property>
+    <property name="fields">
+      <element value="lga"/>
+    </property>
+    <property name="label">State</property>
+    <property name="label_edit">State</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="status" meta_type="String Widget">
+    <property name="title">Application Status</property>
+    <property name="fields">
+      <element value="status"/>
+    </property>
+    <property name="label">Application Status</property>
+    <property name="label_edit">Application Status</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="course1" meta_type="Select Widget">
+    <property name="title">1st Choice Course of Study</property>
+    <property name="fields">
+      <element value="course1"/>
+    </property>
+    <property name="label">1st Choice Course of Study</property>
+    <property name="label_edit">1st Choice Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">cos</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="course2" meta_type="Select Widget">
+    <property name="title">2nd Choice Course of Study</property>
+    <property name="fields">
+      <element value="course2"/>
+    </property>
+    <property name="label">2nd Choice Course of Study</property>
+    <property name="label_edit">2nd Choice Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">cos</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="course3" meta_type="Select Widget">
+    <property name="title">3rd Choice Course of Study</property>
+    <property name="fields">
+      <element value="course3"/>
+    </property>
+    <property name="label">3rd Choice Course of Study</property>
+    <property name="label_edit">3rd Choice Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
+    <property name="vocabulary">cos</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="course_admitted" meta_type="String Widget">
+    <property name="title">Course of Study</property>
+    <property name="fields">
+      <element value="course_admitted"/>
+    </property>
+    <property name="label">Course of Study</property>
+    <property name="label_edit">Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
+ <table>
+  <row>
+   <cell name="pin" ncols="2"/>
+  </row>
+  <row>
+   <cell name="reg_no" ncols="2"/>
+  </row>
+  <row>
+   <cell name="lastname" ncols="2"/>
+  </row>
+  <row>
+   <cell name="sex" ncols="2"/>
+  </row>
+  <row>
+   <cell name="date_of_birth" ncols="2"/>
+  </row>
+  <row>
+   <cell name="email" ncols="2"/>
+  </row>
+  <row>
+   <cell name="phone" ncols="2"/>
+  </row>
+  <row>
+   <cell name="course1" ncols="2"/>
+  </row>
+  <row>
+   <cell name="application_date" ncols="2"/>
+  </row>
+  <row>
+   <cell name="status" ncols="2"/>
+  </row>
+  <row>
+   <cell name="passport" ncols="2"/>
+  </row>
+ </table>
+</object>