Index: WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt	(revision 2310)
+++ WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt	(revision 2310)
@@ -0,0 +1,58 @@
+<tal:block define="global creation python:1;
+                   global formaction string:apply_admission" />
+<!-- a layout_lib macro -->
+<!-- $Id: layout_apply_admission_create.pt 2141 2007-08-21 16:50:33Z henrik $ -->
+
+<metal:block define-macro="default_table"
+  tal:define="layout options/layout;
+  ds options/datastructure;
+  dm ds/getDataModel;
+  creation creation|nothing;
+  metadata metadata|nothing;
+  cpsmcat nocall:here/translation_service;
+  apply request/apply_button|nothing;">
+  
+  <table  cellpadding="2" cellspacing="2" summary="Form layout" border=0
+       tal:condition="layout/rows">
+  <tr tal:repeat="row layout/rows" valign="top">
+
+  <span tal:repeat="cell row"> 
+        <tal:block define="widget cell/widget;
+                           wid widget/getWidgetId;
+                           err python:ds.getError(wid);
+                           err_mapping python:ds.getErrorMapping(wid);
+                           is_required widget/is_required|nothing;
+                           tooltip_id python:wid + '_help';
+                           widget_css_class cell/widget_css_class|nothing;
+                           css_class python:test(err, 'row error','row')">
+          <span tal:attributes="class widget_css_class;
+                               id python:widget.getHtmlWidgetId()+'_widget';
+                              ">
+                              
+                    
+            <td valign="middle" tal:condition="python:widget.label_edit and widget.label_edit!='label field'">               
+              <div class="label">
+                <label tal:content="widget/label_edit"
+                  tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
+              </div>
+            </td>
+            
+            <td>
+              <div tal:attributes="class python:test(widget.label_edit == 'label field', 'label','')">          
+              <label tal:replace="structure cell/widget_rendered"/>
+              </div>          
+              <tal:block condition="err">
+                  <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
+                    <br /><em style="color: red"
+                      tal:content="msg">err</em>
+                  </tal:block>
+              </tal:block>
+            </td>
+  
+          </span>
+        </tal:block>
+  </span>      
+  </tr>
+  </table>
+  <br/>
+</metal:block>
Index: WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_edit.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_edit.pt	(revision 2310)
+++ WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_edit.pt	(revision 2310)
@@ -0,0 +1,1 @@
+<metal:block use-macro="here/layout_apply_admission_create/macros/default_table" />
Index: WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_view.pt	(revision 2310)
+++ WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_view.pt	(revision 2310)
@@ -0,0 +1,15 @@
+<metal:block use-macro="here/layout_apply_admission_create/macros/default_table" />
+<form action="" id="editForm" method="post" 
+      enctype="multipart/form-data" class="workflow"
+      tal:attributes="action string:${context/absolute_url}/apply_admission"
+      >
+  <input type="hidden" name="reg_no"
+         tal:attributes="value ds/reg_no|nothing"
+         tal:condition="ds/reg_no|nothing"/>
+  <input type="hidden" name="pin"
+         tal:attributes="value ds/pin|nothing"
+         tal:condition="ds/pin|nothing"/>
+  <input type="submit" class="standalone" name="slip"
+         value="Print Aknowledgement Slip"
+         />
+</form>
Index: WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_view_slip.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_view_slip.pt	(revision 2310)
+++ WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_view_slip.pt	(revision 2310)
@@ -0,0 +1,1 @@
+<metal:block use-macro="here/layout_apply_admission_create/macros/default_table" />
Index: WAeUP_SRP/base/skins/waeup_layout/layout_apply_pume_create.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_apply_pume_create.pt	(revision 2253)
+++ 	(revision )
@@ -1,58 +1,0 @@
-<tal:block define="global creation python:1;
-                   global formaction string:apply_admission" />
-<!-- a layout_lib macro -->
-<!-- $Id: layout_apply_pume_create.pt 2141 2007-08-21 16:50:33Z henrik $ -->
-
-<metal:block define-macro="default_table"
-  tal:define="layout options/layout;
-  ds options/datastructure;
-  dm ds/getDataModel;
-  creation creation|nothing;
-  metadata metadata|nothing;
-  cpsmcat nocall:here/translation_service;
-  apply request/apply_button|nothing;">
-  
-  <table  cellpadding="2" cellspacing="2" summary="Form layout" border=0
-       tal:condition="layout/rows">
-  <tr tal:repeat="row layout/rows" valign="top">
-
-  <span tal:repeat="cell row"> 
-        <tal:block define="widget cell/widget;
-                           wid widget/getWidgetId;
-                           err python:ds.getError(wid);
-                           err_mapping python:ds.getErrorMapping(wid);
-                           is_required widget/is_required|nothing;
-                           tooltip_id python:wid + '_help';
-                           widget_css_class cell/widget_css_class|nothing;
-                           css_class python:test(err, 'row error','row')">
-          <span tal:attributes="class widget_css_class;
-                               id python:widget.getHtmlWidgetId()+'_widget';
-                              ">
-                              
-                    
-            <td tal:condition="python:widget.label_edit and widget.label_edit!='label field'">               
-              <div class="label">
-                <label tal:content="widget/label_edit"
-                  tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-              </div>
-            </td>
-            
-            <td>
-              <div tal:attributes="class python:test(widget.label_edit == 'label field', 'label','')">          
-              <label tal:replace="structure cell/widget_rendered"/> 
-              </div>          
-              <tal:block condition="err">
-                  <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                    <br /><em style="color: red"
-                      tal:content="msg">err</em>
-                  </tal:block>
-              </tal:block>
-            </td>
-  
-          </span>
-        </tal:block>
-  </span>      
-  </tr>
-  </table>
-  <br/>
-</metal:block>
Index: WAeUP_SRP/base/skins/waeup_layout/layout_apply_pume_edit.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_apply_pume_edit.pt	(revision 2253)
+++ 	(revision )
@@ -1,1 +1,0 @@
-<metal:block use-macro="here/layout_apply_pume_create/macros/default_table" />
Index: WAeUP_SRP/base/skins/waeup_layout/layout_apply_pume_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_apply_pume_view.pt	(revision 2253)
+++ 	(revision )
@@ -1,15 +1,0 @@
-<metal:block use-macro="here/layout_apply_pume_create/macros/default_table" />
-<form action="" id="editForm" method="post" 
-      enctype="multipart/form-data" class="workflow"
-      tal:attributes="action string:${context/absolute_url}/apply_pume"
-      >
-  <input type="hidden" name="reg_no"
-         tal:attributes="value ds/reg_no|nothing"
-         tal:condition="ds/reg_no|nothing"/>
-  <input type="hidden" name="pin"
-         tal:attributes="value ds/pin|nothing"
-         tal:condition="ds/pin|nothing"/>
-  <input type="submit" class="standalone" name="slip"
-         value="Print Aknowledgement Slip"
-         />
-</form>
Index: WAeUP_SRP/base/skins/waeup_layout/layout_apply_pume_view_slip.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_apply_pume_view_slip.pt	(revision 2253)
+++ 	(revision )
@@ -1,1 +1,0 @@
-<metal:block use-macro="here/layout_apply_pume_create/macros/default_table" />