Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2315)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2316)
@@ -66,14 +66,20 @@
 elif traverse_subpath and traverse_subpath[0] == "cest":
     layout = "application_cest"
-    application_type = "pce"    
+    application_type = "pce"
 else:
     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
-    
-        
+
+
 lt = context.portal_layouts
+
+pin = request.form.get('pin','')
+
+
 reg_no = request.get('widget__reg_no','').upper()
 if not reg_no:
     reg_no = request.form.get('reg_no','').upper()
-pin = request.form.get('pin','')
+
+
+
 object = {}
 if reg_no:
@@ -193,5 +199,4 @@
         logger.info('%s/%s edits application record' % (member,reg_no))
     psm = ""
-    #set_trace()
     if without_reg_no:
         object['reg_no'] = reg_no
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2315)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2316)
@@ -4,5 +4,5 @@
            application_type options/application_type;
            mode options/mode;
-           expired python:True;
+           expired python:False;
            show_submit options/show_submit|nothing;
            "
@@ -15,5 +15,5 @@
           <h3 tal:condition="python:application_type=='pde'">Apply for Post DE Screening Test(2007/2008)! </h3>
           <h3 tal:condition="python:application_type=='prence'">Apply for Pre-NCE Programme (2007/2008)! </h3>
-          <h3 tal:condition="python:application_type=='pce'">Apply for NCE Screening (2007/2008)! </h3>
+          <h3 tal:condition="python:application_type=='pce'">Apply for PCE Screening (2007/2008)! </h3>
           <h3 tal:condition="python:application_type=='cest'">Apply for Common Entrance Screening Test (2007/2008)! </h3>
         </span>
@@ -34,5 +34,8 @@
                  tal:attributes="value ds/pin|nothing"
                  tal:condition="ds/pin|nothing"/>
-
+          <input type="hidden" name="application_type"
+                 tal:attributes="value application_type|nothing"
+                 tal:condition="application_type|nothing"/>
+                 
           <div tal:replace="structure rendered_main" />
           
@@ -51,8 +54,8 @@
                  name="edit"
                  value="Save" 
-                 tal:condition="python: mode == 'edit'" />
+                 tal:condition="python: mode == 'edit' and not expired" />
           <input type="submit" class="standalone" name="apply"
                  value="Final Submit"
-                 tal:condition="python: show_submit and mode == 'edit'"
+                 tal:condition="python: show_submit and mode == 'edit' and not expired"
                  />
           <input type="submit" 
Index: WAeUP_SRP/base/skins/waeup_student/mail2student.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/mail2student.py	(revision 2315)
+++ WAeUP_SRP/base/skins/waeup_student/mail2student.py	(revision 2316)
@@ -17,11 +17,11 @@
 
 d = {}
-d['co_name'] = co_name
-d['co_email'] = co_email
+#d['co_name'] = co_name
+#d['co_email'] = co_email
+d['co_name'] = 'CRPU Uniben'
+d['co_email'] = prop.email_from_address
 d['student_email'] = student_email
 d['probtype'] = probtype
 d['commt'] = commt
-
-#prop.email_from_address should be used for To:
 
 message = """
Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2315)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2316)
@@ -22,7 +22,8 @@
     <property name="readonly_layout_modes"/>
     <property name="hidden_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="view_format">%d/%m/%Y</property>
+    <property name="time_setting">False</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -621,4 +622,7 @@
   </row>
   <row>
+   <cell name="date_of_birth" ncols="2"/>
+  </row>  
+  <row>
    <cell name="email" ncols="2"/>
   </row>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2315)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2316)
@@ -39,13 +39,15 @@
     </property>
     <property name="label">Date of Birth</property>
-    <property name="label_edit">Date of Birth</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
+    <property name="label_edit">Date of Birth (dd/mm/yyyy)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="view_format">%d/%m/%Y</property>
+    <property name="time_setting">False</property>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 2315)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 2316)
@@ -24,4 +24,6 @@
       <element value="edit"/>
     </property>
+    <property name="view_format">%d/%m/%Y</property>
+    <property name="time_setting">False</property>    
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>