Index: /WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2321)
+++ /WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2322)
@@ -63,8 +63,8 @@
 elif traverse_subpath and traverse_subpath[0] == "pde":
     layout = "application_pde"
-    application_type = "pce"
+    application_type = "pde"
 elif traverse_subpath and traverse_subpath[0] == "cest":
     layout = "application_cest"
-    application_type = "pce"
+    application_type = "cest"
 else:
     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
@@ -79,6 +79,6 @@
 if not reg_no:
     reg_no = request.form.get('reg_no','').upper()
-
-
+if not reg_no:
+    reg_no = request.get('widget__pin_n','').upper()
 
 object = {}
@@ -117,4 +117,6 @@
                              commit = False,
                             )
+                            
+                        
 
 if slip:
@@ -146,4 +148,6 @@
 if without_reg_no:
     reg_no = ds.get('reg_no')
+    
+  
 data = {}
 dm = ds.getDataModel()
@@ -152,4 +156,7 @@
         data[field] = dm.get(field)
 data['reg_no'] = reg_no
+data['screening_type'] = application_type
+
+
 
 if apply_admission:
@@ -227,4 +234,5 @@
         psm = "Content changed!"
         data['status'] = "edited"
+        #set_trace()
         context.applicants_catalog.modifyRecord(**data)
         logger.info('%s/%s modified application record' % (member,reg_no))
Index: /WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2321)
+++ /WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2322)
@@ -34,8 +34,5 @@
                  tal:attributes="value ds/pin|nothing"
                  tal:condition="ds/pin|nothing"/>
-          <input type="hidden" name="application_type"
-                 tal:attributes="value application_type|nothing"
-                 tal:condition="application_type|nothing"/>
-                 
+                
           <div tal:replace="structure rendered_main" />
           
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2321)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2322)
@@ -95,10 +95,10 @@
   </widget>
   <widget name="firstname" meta_type="String Widget">
-    <property name="title">Firstname</property>
+    <property name="title">First Name</property>
     <property name="fields">
       <element value="firstname"/>
     </property>
-    <property name="label">Firstname</property>
-    <property name="label_edit">Firstname</property>
+    <property name="label">First Name</property>
+    <property name="label_edit">First Name</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -274,10 +274,10 @@
   </widget>
   <widget name="lastname" meta_type="String Widget">
-    <property name="title">Name</property>
+    <property name="title">Surname</property>
     <property name="fields">
       <element value="lastname"/>
     </property>
-    <property name="label">Name</property>
-    <property name="label_edit">Name</property>
+    <property name="label">Surname</property>
+    <property name="label_edit">Surname</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -309,10 +309,10 @@
   </widget>
   <widget name="middlenames" meta_type="String Widget">
-    <property name="title">Middlenames</property>
+    <property name="title">Middle Names</property>
     <property name="fields">
       <element value="middlenames"/>
     </property>
-    <property name="label">Middlenames</property>
-    <property name="label_edit">Middlenames</property>
+    <property name="label">Middle Names</property>
+    <property name="label_edit">Middle Names</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -426,5 +426,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="screening_type" meta_type="String Widget">
+  <widget name="screening_type" meta_type="Select Widget">
     <property name="title">Screening Type</property>
     <property name="fields">
@@ -441,4 +441,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
+    <property name="vocabulary">screening_types</property>
   </widget>
   <widget name="reg_no" meta_type="JambRegNo Widget">
@@ -619,9 +620,15 @@
   </row>
   <row>
+   <cell name="firstname" ncols="2"/>
+  </row>
+  <row>
+   <cell name="middlenames" ncols="2"/>
+  </row>  
+  <row>
    <cell name="lastname" ncols="2"/>
   </row>
   <row>
    <cell name="date_of_birth" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="email" ncols="2"/>
@@ -667,4 +674,7 @@
   </row>
   <row>
+   <cell name="screening_type" ncols="2"/>
+  </row>
+  <row>
    <cell name="passport" ncols="2"/>
   </row>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 2321)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 2322)
@@ -426,5 +426,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="screening_type" meta_type="String Widget">
+  <widget name="screening_type" meta_type="Select Widget">
     <property name="title">Screening Type</property>
     <property name="fields">
@@ -441,4 +441,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
+    <property name="vocabulary">screening_types</property>
   </widget>
   <widget name="reg_no" meta_type="JambRegNo Widget">
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2321)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2322)
@@ -25,4 +25,5 @@
     <property name="hidden_layout_modes">
       <element value="create"/>
+      <element value="edit"/>
     </property>
     <property name="hidden_readonly_layout_modes"/>
@@ -121,10 +122,10 @@
   </widget>
   <widget name="firstname" meta_type="String Widget">
-    <property name="title">Firstname</property>
+    <property name="title">First Name</property>
     <property name="fields">
       <element value="firstname"/>
     </property>
-    <property name="label">Firstname</property>
-    <property name="label_edit">Firstname</property>
+    <property name="label">First Name</property>
+    <property name="label_edit">First Name</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -300,10 +301,10 @@
   </widget>
   <widget name="lastname" meta_type="String Widget">
-    <property name="title">Name</property>
+    <property name="title">Surname</property>
     <property name="fields">
       <element value="lastname"/>
     </property>
-    <property name="label">Name</property>
-    <property name="label_edit">Name</property>
+    <property name="label">Surname</property>
+    <property name="label_edit">Surname</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -335,10 +336,10 @@
   </widget>
   <widget name="middlenames" meta_type="String Widget">
-    <property name="title">Middlenames</property>
+    <property name="title">Middle Names</property>
     <property name="fields">
       <element value="middlenames"/>
     </property>
-    <property name="label">Middlenames</property>
-    <property name="label_edit">Middlenames</property>
+    <property name="label">Middle Names</property>
+    <property name="label_edit">Middle Names</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -452,5 +453,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="screening_type" meta_type="String Widget">
+  <widget name="screening_type" meta_type="Select Widget">
     <property name="title">Screening Type</property>
     <property name="fields">
@@ -467,4 +468,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
+    <property name="vocabulary">screening_types</property>
   </widget>
   <widget name="score" meta_type="Int Widget">
@@ -628,4 +630,10 @@
   </row>
   <row>
+   <cell name="firstname" ncols="2"/>
+  </row>
+  <row>
+   <cell name="middlenames" ncols="2"/>
+  </row>  
+  <row>
    <cell name="lastname" ncols="2"/>
   </row>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 2321)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 2322)
@@ -25,5 +25,5 @@
     </property>
     <property name="view_format">%d/%m/%Y</property>
-    <property name="time_setting">False</property>    
+    <property name="time_setting">False</property>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
@@ -428,5 +428,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="screening_type" meta_type="String Widget">
+  <widget name="screening_type" meta_type="Select Widget">
     <property name="title">Screening Type</property>
     <property name="fields">
@@ -443,4 +443,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
+    <property name="vocabulary">screening_types</property>
   </widget>
   <widget name="reg_no" meta_type="JambRegNo Widget">
Index: /WAeUP_SRP/fceokene/profiles/default/vocabularies.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/vocabularies.xml	(revision 2321)
+++ /WAeUP_SRP/fceokene/profiles/default/vocabularies.xml	(revision 2322)
@@ -41,3 +41,4 @@
  <object name="global_roles" meta_type="CPS Vocabulary"/>
  <object name="cos" meta_type="CPS Vocabulary"/>
+ <object name="screening_types" meta_type="CPS Vocabulary"/>
  </object>
Index: /WAeUP_SRP/fceokene/profiles/default/vocabularies/screening_types.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/vocabularies/screening_types.xml	(revision 2322)
+++ /WAeUP_SRP/fceokene/profiles/default/vocabularies/screening_types.xml	(revision 2322)
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="screening_types" meta_type="CPS Vocabulary">
+  <property name="title"></property>
+  <property name="title_msgid"></property>
+  <property name="description"></property>
+
+  <item key="pume" msgid="">PUME</item>
+  <item key="pde" msgid="">PDE</item>  
+  <item key="pce" msgid="">PCE</item>
+  <item key="prence" msgid="">PRE-NCE</item>
+
+</object>