Index: WAeUP_SRP/base/Widgets.py
===================================================================
--- WAeUP_SRP/base/Widgets.py	(revision 2322)
+++ WAeUP_SRP/base/Widgets.py	(revision 2323)
@@ -1396,4 +1396,5 @@
                 break
             if ok >= 1:
+                application_type = self.REQUEST.form.get('application_type','unknown')
                 if self.isStudent():
                     err = "This is only for Pume application."
@@ -1407,4 +1408,5 @@
                         d['reg_no'] = applicant.reg_no
                         d['pin'] = pin_str
+                        d['application_type'] = application_type
                         d['status'] = 'entered'
                         getattr(self,self.catalog).modifyRecord(**d)
@@ -1422,4 +1424,5 @@
                         d['pin'] = pin_str
                         d['status'] = 'entered'
+                        d['application_type'] = application_type
                         self.applicants_catalog.addRecord(**d)
                     else:
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2322)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2323)
@@ -51,29 +51,42 @@
 #application_type = ""
 without_reg_no = False
-if traverse_subpath and traverse_subpath[0] == "prence":
-    layout = "application_prence"
-    application_type = "prence"
-    without_reg_no = True
-elif traverse_subpath and traverse_subpath[0] == "pume":
-    layout = "application_pume"
-    application_type = "pume"
-elif traverse_subpath and traverse_subpath[0] == "pce":
-    layout = "application_pce"
-    application_type = "pce"
-elif traverse_subpath and traverse_subpath[0] == "pde":
-    layout = "application_pde"
-    application_type = "pde"
-elif traverse_subpath and traverse_subpath[0] == "cest":
-    layout = "application_cest"
-    application_type = "cest"
+
+# if traverse_subpath and traverse_subpath[0] == "prence":
+#     layout = "application_prence"
+#     application_type = "prence"
+#     without_reg_no = True
+# elif traverse_subpath and traverse_subpath[0] == "pume":
+#     layout = "application_pume"
+#     application_type = "pume"
+# elif traverse_subpath and traverse_subpath[0] == "pce":
+#     layout = "application_pce"
+#     application_type = "pce"
+# elif traverse_subpath and traverse_subpath[0] == "pde":
+#     layout = "application_pde"
+#     application_type = "pde"
+# elif traverse_subpath and traverse_subpath[0] == "cest":
+#     layout = "application_cest"
+#     application_type = "cest"
+# else:
+#     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
+application_types = ('prence','pume','pce','pde','cest')
+headings = {}
+headings['pume'] = 'Apply for Post UME Screening Test (2007/2008)! '
+headings['pde'] = 'Apply for Post DE Screening Test(2007/2008)! '
+headings['prence'] = 'Apply for Pre-NCE Programme (2007/2008)! '
+headings['pce'] = 'Apply for PCE Screening (2007/2008)! '
+headings['cest'] = 'Apply for Common Entrance Screening Test (2007/2008)! '
+info = {}
+if traverse_subpath and traverse_subpath[0] in application_types:
+    application_type = info['application_type'] = traverse_subpath[0]
+    info['heading'] = headings[application_type]
+    layout = "application_%s" % application_type
+    without_reg_no = application_type in ('prence',)
+    
 else:
     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
-
-
 lt = context.portal_layouts
 
 pin = request.form.get('pin','')
-
-
 reg_no = request.get('widget__reg_no','').upper()
 if not reg_no:
@@ -97,5 +110,4 @@
             return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
 
-
         # For the next application session it should be reverted to
         # (see comment 09/06/07 16:40:52 in ticket #328):
@@ -117,37 +129,29 @@
                              commit = False,
                             )
-                            
-                        
-
 if slip:
     return context.apply_admission_slip(rendered = res,
-                                   psm = "",
-                                   #psm = "%s, %s" % (psm,ds),
-                                   mode = mode,
-                                   ds = ds,
-                                   application_type = application_type,
-                                  )
-
+                                        psm = "",
+                                        mode = mode,
+                                        ds = ds,
+                                        info = info,
+                                       )
 if psm == 'invalid':
     return context.apply_admission_form(rendered = res,
-                                   psm = "Please correct your input!",
-                                   #psm = "%s, %s" % (psm,ds),
-                                   mode = mode,
-                                   ds = ds,
-                                   application_type = application_type,
-                                  )
+                                        psm = "Please correct your input!",
+                                        mode = mode,
+                                        ds = ds,
+                                        info = info,
+                                       )
 elif psm == '' and not manage:
     return context.apply_admission_form(rendered = res,
-                                   psm = psm,
-                                   ds = ds,
-                                   mode = mode,
-                                   application_type = application_type,
-                                  )
-elif psm == 'valid' or (psm == '' and manage):
-    pass
+                                        psm = psm,
+                                        ds = ds,
+                                        mode = mode,
+                                        info = info,
+                                       )
+# elif psm == 'valid' or (psm == '' and manage):
+#     pass
 if without_reg_no:
     reg_no = ds.get('reg_no')
-    
-  
 data = {}
 dm = ds.getDataModel()
@@ -157,7 +161,4 @@
 data['reg_no'] = reg_no
 data['screening_type'] = application_type
-
-
-
 if apply_admission:
     if submitted:
@@ -263,11 +264,8 @@
 
 return context.apply_admission_form(rendered = res,
-                               psm = psm,
-                               #psm = "%s, %s" % (psm,ds),
-                               mode = mode,
-                               show_submit = passport_uploaded,
-                               ds = ds,
-                               application_type = application_type,
+                                    psm = psm,
+                                    mode = mode,
+                                    show_submit = passport_uploaded,
+                                    ds = ds,
+                                    info = info,
                               )
-
-
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2322)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2323)
@@ -2,8 +2,8 @@
            portal_status_message options/psm;
            ds options/ds;
-           application_type options/application_type;
            mode options/mode;
            expired python:False;
            show_submit options/show_submit|nothing;
+           info options/info;
            "
            >
@@ -12,9 +12,5 @@
       <metal:block fill-slot="main">
         <span tal:condition="python:not mode=='view' and not expired">
-          <h3 tal:condition="python:application_type=='pume'">Apply for Post UME Screening Test (2007/2008)! </h3>
-          <h3 tal:condition="python:application_type=='pde'">Apply for Post DE Screening Test(2007/2008)! </h3>
-          <h3 tal:condition="python:application_type=='prence'">Apply for Pre-NCE Programme (2007/2008)! </h3>
-          <h3 tal:condition="python:application_type=='pce'">Apply for PCE Screening (2007/2008)! </h3>
-          <h3 tal:condition="python:application_type=='cest'">Apply for Common Entrance Screening Test (2007/2008)! </h3>
+          <h3 tal:content="info/heading" />
         </span>
         <span tal:condition="expired">
@@ -26,6 +22,9 @@
         <form action="" id="editForm" method="post" 
               enctype="multipart/form-data" class="workflow"
-              tal:attributes="action string:${context/absolute_url}/apply_admission/${application_type}"
+              tal:attributes="action string:${context/absolute_url}/apply_admission/${info/application_type}"
               >
+          <input type="hidden" name="application_type"
+                 tal:attributes="value info/application_type|nothing"
+                 tal:condition="info/application_type|nothing"/>
           <input type="hidden" name="reg_no"
                  tal:attributes="value ds/reg_no|nothing"
@@ -66,5 +65,5 @@
             <p>Instructions :</p>
             <ul>
-              <li>Enter your <span tal:condition="python:not application_type=='prence'">JAMB Registration Number and the</span> Application PIN.</li> 
+              <li>Enter your <span tal:condition="python:not info['application_type']=='prence'">JAMB Registration Number and the</span> Application PIN.</li> 
               <li>Fill the form and upload your Passport Photograph with red background in jpg format.</li> 
               <li>Save and preview picture.