Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2323)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2324)
@@ -49,26 +49,26 @@
     validate = False
 #layout = "application_pume"
-#application_type = ""
+#screening_type = ""
 without_reg_no = False
 
 # if traverse_subpath and traverse_subpath[0] == "prence":
 #     layout = "application_prence"
-#     application_type = "prence"
+#     screening_type = "prence"
 #     without_reg_no = True
 # elif traverse_subpath and traverse_subpath[0] == "pume":
 #     layout = "application_pume"
-#     application_type = "pume"
+#     screening_type = "pume"
 # elif traverse_subpath and traverse_subpath[0] == "pce":
 #     layout = "application_pce"
-#     application_type = "pce"
+#     screening_type = "pce"
 # elif traverse_subpath and traverse_subpath[0] == "pde":
 #     layout = "application_pde"
-#     application_type = "pde"
+#     screening_type = "pde"
 # elif traverse_subpath and traverse_subpath[0] == "cest":
 #     layout = "application_cest"
-#     application_type = "cest"
+#     screening_type = "cest"
 # else:
 #     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
-application_types = ('prence','pume','pce','pde','cest')
+screening_types = ('prence','pume','pce','pde','cest')
 headings = {}
 headings['pume'] = 'Apply for Post UME Screening Test (2007/2008)! '
@@ -78,10 +78,10 @@
 headings['cest'] = 'Apply for Common Entrance Screening Test (2007/2008)! '
 info = {}
-if traverse_subpath and traverse_subpath[0] in application_types:
-    application_type = info['application_type'] = traverse_subpath[0]
-    info['heading'] = headings[application_type]
-    layout = "application_%s" % application_type
-    without_reg_no = application_type in ('prence',)
-    
+if traverse_subpath and traverse_subpath[0] in screening_types:
+    screening_type = info['screening_type'] = traverse_subpath[0]
+    info['heading'] = headings[screening_type]
+    layout = "application_%s" % screening_type
+    without_reg_no = screening_type in ('prence',)
+
 else:
     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
@@ -160,5 +160,5 @@
         data[field] = dm.get(field)
 data['reg_no'] = reg_no
-data['screening_type'] = application_type
+data['screening_type'] = screening_type
 if apply_admission:
     if submitted:
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2323)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2324)
@@ -22,9 +22,9 @@
         <form action="" id="editForm" method="post" 
               enctype="multipart/form-data" class="workflow"
-              tal:attributes="action string:${context/absolute_url}/apply_admission/${info/application_type}"
+              tal:attributes="action string:${context/absolute_url}/apply_admission/${info/screening_type}"
               >
-          <input type="hidden" name="application_type"
-                 tal:attributes="value info/application_type|nothing"
-                 tal:condition="info/application_type|nothing"/>
+          <input type="hidden" name="screening_type"
+                 tal:attributes="value info/screening_type|nothing"
+                 tal:condition="info/screening_type|nothing"/>
           <input type="hidden" name="reg_no"
                  tal:attributes="value ds/reg_no|nothing"
@@ -65,5 +65,5 @@
             <p>Instructions :</p>
             <ul>
-              <li>Enter your <span tal:condition="python:not info['application_type']=='prence'">JAMB Registration Number and the</span> Application PIN.</li> 
+              <li>Enter your <span tal:condition="python:not info['screening_type']=='prence'">JAMB Registration Number and the</span> Application PIN.</li> 
               <li>Fill the form and upload your Passport Photograph with red background in jpg format.</li> 
               <li>Save and preview picture.