Index: WAeUP_SRP/base/skins/waeup_default/waeup_search_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/waeup_search_form.pt	(revision 2325)
+++ WAeUP_SRP/base/skins/waeup_default/waeup_search_form.pt	(revision 2326)
@@ -4,9 +4,5 @@
   <body>
   <metal:block metal:fill-slot="main">
-  <tal:block define="SearchableText python:request.get('SearchableText','');
-                     items python:here.waeup_search(query=request.form);
-                     items_length python:len(items);
-                     title_search request/title_search|nothing;
-                    ">
+
 
     <div style="text-align:left;" class="group">
@@ -20,65 +16,65 @@
         <input type="text" name="SearchableText" id="resultSearchText"
                value="" class="focus" size="40"
-               tal:attributes="value SearchableText" />
+                />
         <input class="standalone searchButton" type="submit" value="button_ok"
                i18n:attributes="value" />
         </div>
-        
      </form>
     </div>
-                    
-    <h3 tal:condition="not:title_search"
-      i18n:translate="heading_search_results">Search Results</h3>
-    <h3 tal:condition="title_search"
-      tal:content="title_search">Title for search results</h3>
 
 
-      
-<table width="100%" cellspacing="0" cellpadding="2"
-      class="folderButtons"
-      tal:define="can_add python:checkPerm('Add portal content', here);
-                  can_del python:checkPerm('Delete objects', here);">
-
-
-
-  <thead>
-  <tr><td><strong>Title</strong></td><td><strong>Id</strong></td><td><strong>Type</strong></td>
-      <td><strong>Status</strong></td></tr>
-  </thead>
-
-  <tbody tal:repeat="item items">
-
-  <tr><td></td><td></td><td></td></tr>
-
-  <tr tal:define="objURL string:${item/getURL}/view;
-                  objPath item/getPath;
-                  title item/Title;
-                 ">
-  <td>
-  <a href="url"
-      tal:attributes="href objURL">
-   <span tal:content="python: title or '(No title)'" />
-  </a>
-  </td>
-
-  <td i18n:translate="">
-    <span tal:replace="item/id" />
-  </td>
-  
-  <td>
-    <span tal:replace="item/portal_type" />
-  </td>
-
-  <td>
-    <span tal:replace="item/review_state" />
-  </td>
-
- </tr>
- </tbody>
-</table>
-    <div style="text-align:right;" class="group">
-    </div>
-  </tal:block>
-
+                    
+    <tal:block condition="python:request.form.has_key('SearchableText')">
+    <h3 i18n:translate="heading_search_results">Search Results</h3>
+    
+        <tal:block define="items python:here.waeup_search(query=request.form);
+                           items_length python:len(items)">      
+              
+        <table width="100%" cellspacing="0" cellpadding="2"
+              class="folderButtons"
+              tal:define="can_add python:checkPerm('Add portal content', here);
+                          can_del python:checkPerm('Delete objects', here);">
+        
+        
+        
+          <thead>
+          <tr><td><strong>Title</strong></td><td><strong>Id</strong></td><td><strong>Type</strong></td>
+              <td><strong>Status</strong></td></tr>
+          </thead>
+        
+          <tbody tal:repeat="item items">
+        
+          <tr><td></td><td></td><td></td></tr>
+        
+          <tr tal:define="objURL string:${item/getURL}/view;
+                          objPath item/getPath;
+                          title item/Title;
+                         ">
+          <td>
+          <a href="url"
+              tal:attributes="href objURL">
+           <span tal:content="python: title or '(No title)'" />
+          </a>
+          </td>
+        
+          <td i18n:translate="">
+            <span tal:replace="item/id" />
+          </td>
+          
+          <td>
+            <span tal:replace="item/portal_type" />
+          </td>
+        
+          <td>
+            <span tal:replace="item/review_state" />
+          </td>
+        
+         </tr>
+         </tbody>
+         </table>
+         </tal:block>
+          
+        </tal:block>  
+   
   </metal:block>
   </body>