Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 2326)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 2327)
@@ -278,6 +278,6 @@
       <element value="lastname"/>
     </property>
-    <property name="label">Surname</property>
-    <property name="label_edit">Surname</property>
+    <property name="label">Surname / Full Name</property>
+    <property name="label_edit">Surname / Full Name</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -444,10 +444,10 @@
   </widget>
   <widget name="reg_no" meta_type="JambRegNo Widget">
-    <property name="title">JAMB Registration Number</property>
+    <property name="title">Registration Number</property>
     <property name="fields">
       <element value="reg_no"/>
     </property>
-    <property name="label">JAMB Registration Number</property>
-    <property name="label_edit">JAMB Registration Number</property>
+    <property name="label">Registration Number</property>
+    <property name="label_edit">Registration Number</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -480,20 +480,18 @@
     <property name="hidden_readonly_layout_modes"/>
   </widget>
-  <widget name="sex" meta_type="WAeUP Sex Widget">
-    <property name="title">Sex</property>
-    <property name="fields">
-      <element value="sex"/>
-    </property>
-    <property name="label">Sex</property>
-    <property name="label_edit">Sex</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="sex" meta_type="Boolean Widget">
+  <property name="title">Sex</property>
+  <property name="fields">
+   <element value="sex"/>
+  </property>
+  <property name="label">Sex</property>
+  <property name="label_edit">Sex</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">male</property>
+  <property name="label_true">female</property>
+  <property name="render_format">select</property>
+ </widget>
   <widget name="state" meta_type="WAeUP LGA Widget">
     <property name="title">State</property>
@@ -624,5 +622,5 @@
   <row>
    <cell name="middlenames" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="lastname" ncols="2"/>
@@ -630,4 +628,7 @@
   <row>
    <cell name="date_of_birth" ncols="2"/>
+  </row>
+  <row>
+   <cell name="sex" ncols="2"/>
   </row>
   <row>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 2326)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 2327)
@@ -26,4 +26,6 @@
       <element value="create"/>
       <element value="edit"/>
+      <element value="view"/>
+      <element value="view_slip"/>
     </property>
     <property name="hidden_readonly_layout_modes"/>
@@ -42,4 +44,5 @@
     <property name="label_edit">Date of Birth (dd/mm/yyyy)</property>
     <property name="description"></property>
+    <property name="is_required">True</property>
     <property name="help"></property>
     <property name="is_i18n">False</property>
@@ -129,9 +132,12 @@
     <property name="label_edit">First Name</property>
     <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
+    <property name="is_required">True</property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
@@ -308,31 +314,31 @@
     <property name="label_edit">Surname</property>
     <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  <widget name="lga" meta_type="WAeUP LGA Widget">
-    <property name="title">LGA</property>
-    <property name="fields">
-      <element value="lga"/>
-    </property>
-    <property name="label">LGA</property>
-    <property name="label_edit">LGA</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+    <property name="is_required">True</property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+ <widget name="lga" meta_type="Select Widget">
+  <property name="title">Local Government Area</property>
+  <property name="fields">
+   <element value="lga"/>
+  </property>
+  <property name="label">Local Government Area</property>
+  <property name="label_edit">Local Government Area</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">local_gov_areas</property>
+ </widget>
   <widget name="middlenames" meta_type="String Widget">
     <property name="title">Middle Names</property>
@@ -347,6 +353,9 @@
     <property name="widget_mode_expr"></property>
     <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -485,22 +494,18 @@
     <property name="hidden_readonly_layout_modes"/>
   </widget>
-  <widget name="sex" meta_type="WAeUP Sex Widget">
-    <property name="title">Sex</property>
-    <property name="fields">
-      <element value="sex"/>
-    </property>
-    <property name="label">Sex</property>
-    <property name="label_edit">Sex</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="sex" meta_type="Boolean Widget">
+  <property name="title">Sex</property>
+  <property name="fields">
+   <element value="sex"/>
+  </property>
+  <property name="label">Sex</property>
+  <property name="label_edit">Sex</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">male</property>
+  <property name="label_true">female</property>
+  <property name="render_format">select</property>
+ </widget>
   <widget name="state" meta_type="WAeUP LGA Widget">
     <property name="title">State</property>
@@ -634,14 +639,17 @@
   <row>
    <cell name="middlenames" ncols="2"/>
+  </row>
+  <row>
+   <cell name="lastname" ncols="2"/>
+  </row>
+  <row>
+   <cell name="sex" ncols="2"/>
+  </row>
+  <row>
+   <cell name="date_of_birth" ncols="2"/>
+  </row>
+  <row>
+   <cell name="lga" ncols="2"/>
   </row>  
-  <row>
-   <cell name="lastname" ncols="2"/>
-  </row>
-  <row>
-   <cell name="sex" ncols="2"/>
-  </row>
-  <row>
-   <cell name="date_of_birth" ncols="2"/>
-  </row>
   <row>
    <cell name="email" ncols="2"/>