Index: /WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt	(revision 2327)
+++ /WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt	(revision 2328)
@@ -22,6 +22,4 @@
                            err python:ds.getError(wid);
                            err_mapping python:ds.getErrorMapping(wid);
-                           is_required widget/is_required|nothing;
-                           tooltip_id python:wid + '_help';
                            widget_css_class cell/widget_css_class|nothing;
                            css_class python:test(err, 'row error','row')">
Index: /WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2327)
+++ /WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2328)
@@ -48,42 +48,7 @@
 if manage:
     validate = False
-#layout = "application_pume"
-#screening_type = ""
 without_reg_no = False
 
-# if traverse_subpath and traverse_subpath[0] == "prence":
-#     layout = "application_prence"
-#     screening_type = "prence"
-#     without_reg_no = True
-# elif traverse_subpath and traverse_subpath[0] == "pume":
-#     layout = "application_pume"
-#     screening_type = "pume"
-# elif traverse_subpath and traverse_subpath[0] == "pce":
-#     layout = "application_pce"
-#     screening_type = "pce"
-# elif traverse_subpath and traverse_subpath[0] == "pde":
-#     layout = "application_pde"
-#     screening_type = "pde"
-# elif traverse_subpath and traverse_subpath[0] == "cest":
-#     layout = "application_cest"
-#     screening_type = "cest"
-# else:
-#     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
-screening_types = ('prence','pume','pce','pde','cest')
-headings = {}
-headings['pume'] = 'Apply for Post UME Screening Test (2007/2008)! '
-headings['pde'] = 'Apply for Post DE Screening Test(2007/2008)! '
-headings['prence'] = 'Apply for Pre-NCE Programme (2007/2008)! '
-headings['pce'] = 'Apply for PCE Screening (2007/2008)! '
-headings['cest'] = 'Apply for Common Entrance Screening Test (2007/2008)! '
-info = {}
-if traverse_subpath and traverse_subpath[0] in screening_types:
-    screening_type = info['screening_type'] = traverse_subpath[0]
-    info['heading'] = headings[screening_type]
-    layout = "application_%s" % screening_type
-    without_reg_no = screening_type in ('prence',)
-
-else:
-    return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
+
 lt = context.portal_layouts
 
@@ -116,4 +81,39 @@
             #logger.info('%s/%s entered wrong pin %s' % (member,reg_no,pin))
             #return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
+
+
+screening_types = ('prence','pume','pce','pde','cest')
+headings = {}
+headings['pume'] = 'Apply for Post UME Screening Test (2007/2008)! '
+headings['pde'] = 'Apply for Post DE Screening Test(2007/2008)! '
+headings['prence'] = 'Apply for Pre-NCE Programme (2007/2008)! '
+headings['pce'] = 'Apply for PCE Screening (2007/2008)! '
+headings['cest'] = 'Apply for Common Entrance Screening Test (2007/2008)! '
+headings_slip = {}
+headings_slip['pume'] = 'Post UME Screening (2007/2008) Aknowledgement Slip!'
+headings_slip['pde'] = 'Post DE Screening (2007/2008) Aknowledgement Slip'
+headings_slip['prence'] = 'Pre-NCE Application (2007/2008) Aknowledgement Slip'
+headings_slip['pce'] = 'PCE Screening (2007/2008) Aknowledgement Slip'
+headings_slip['cest'] = 'Common Entrance Screening (2007/2008) Aknowledgement Slip'
+info = {}
+if traverse_subpath and traverse_subpath[0] in screening_types:
+    screening_type = info['screening_type'] = traverse_subpath[0]
+    info['heading'] = headings[screening_type]
+    info['heading_slip'] = headings_slip[screening_type]
+    layout = "application_%s" % screening_type
+    without_reg_no = screening_type in ('prence',)
+elif manage:
+    if object['screening_type']:
+        st = object['screening_type']
+    else:
+        st = 'pume'
+    screening_type = info['screening_type'] = st
+    info['heading'] = headings[screening_type]
+    info['heading_slip'] = headings_slip[screening_type]
+    layout = "application_%s" % screening_type
+    without_reg_no = screening_type in ('prence',)  
+else:
+    return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
+
 
 if slip:
@@ -160,5 +160,5 @@
         data[field] = dm.get(field)
 data['reg_no'] = reg_no
-data['screening_type'] = screening_type
+
 if apply_admission:
     if submitted:
Index: /WAeUP_SRP/base/skins/waeup_student/apply_admission_slip.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/apply_admission_slip.pt	(revision 2327)
+++ /WAeUP_SRP/base/skins/waeup_student/apply_admission_slip.pt	(revision 2328)
@@ -5,4 +5,5 @@
            mode options/mode;
            name python:ds['lastname'];
+           info options/info;
            "
            >
@@ -10,12 +11,10 @@
     <metal:block use-macro="here/slip_template/macros/master">
       <metal:block fill-slot="main">
-        <h3>Post UME Screening (2007/2008) Aknowledgement Slip</h3>
+        <h3 tal:content="info/heading_slip" />
         <br />
         <div tal:replace="structure rendered_main" />
         
         The applicant has confirmed that the picture shown on this slip is a true picture of him/her. 
-        <br/><br/>
-        Please check for your screening venue at any of the UNIBEN entry gates or
-        at the Sports Complex and come to the screening venue with a copy of this slip.  
+
       </metal:block>
     </metal:block>
Index: /WAeUP_SRP/base/skins/waeup_utilities/deleteResultByKey.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_utilities/deleteResultByKey.py	(revision 2327)
+++ /WAeUP_SRP/base/skins/waeup_utilities/deleteResultByKey.py	(revision 2328)
@@ -25,5 +25,5 @@
 students = context.portal_url.getPortalObject().campus.students
 if str(member) not in ('admin','joachim','med','despej') or key is None:
-    return
+    return 'You are not allowed to execute this command!'
 
 output = []
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2327)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2328)
@@ -278,6 +278,6 @@
       <element value="lastname"/>
     </property>
-    <property name="label">Surname</property>
-    <property name="label_edit">Surname</property>
+    <property name="label">Surname / Full Name</property>
+    <property name="label_edit">Surname / Full Name</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -444,10 +444,10 @@
   </widget>
   <widget name="reg_no" meta_type="JambRegNo Widget">
-    <property name="title">JAMB Registration Number</property>
+    <property name="title">Registration Number</property>
     <property name="fields">
       <element value="reg_no"/>
     </property>
-    <property name="label">JAMB Registration Number</property>
-    <property name="label_edit">JAMB Registration Number</property>
+    <property name="label">Registration Number</property>
+    <property name="label_edit">Registration Number</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -480,20 +480,18 @@
     <property name="hidden_readonly_layout_modes"/>
   </widget>
-  <widget name="sex" meta_type="WAeUP Sex Widget">
-    <property name="title">Sex</property>
-    <property name="fields">
-      <element value="sex"/>
-    </property>
-    <property name="label">Sex</property>
-    <property name="label_edit">Sex</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="sex" meta_type="Boolean Widget">
+  <property name="title">Sex</property>
+  <property name="fields">
+   <element value="sex"/>
+  </property>
+  <property name="label">Sex</property>
+  <property name="label_edit">Sex</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">male</property>
+  <property name="label_true">female</property>
+  <property name="render_format">select</property>
+ </widget>
   <widget name="state" meta_type="WAeUP LGA Widget">
     <property name="title">State</property>
@@ -624,5 +622,5 @@
   <row>
    <cell name="middlenames" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="lastname" ncols="2"/>
@@ -630,4 +628,7 @@
   <row>
    <cell name="date_of_birth" ncols="2"/>
+  </row>
+  <row>
+   <cell name="sex" ncols="2"/>
   </row>
   <row>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2327)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2328)
@@ -26,4 +26,6 @@
       <element value="create"/>
       <element value="edit"/>
+      <element value="view"/>
+      <element value="view_slip"/>
     </property>
     <property name="hidden_readonly_layout_modes"/>
@@ -42,4 +44,5 @@
     <property name="label_edit">Date of Birth (dd/mm/yyyy)</property>
     <property name="description"></property>
+    <property name="is_required">True</property>
     <property name="help"></property>
     <property name="is_i18n">False</property>
@@ -129,9 +132,12 @@
     <property name="label_edit">First Name</property>
     <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
+    <property name="is_required">True</property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
@@ -308,31 +314,31 @@
     <property name="label_edit">Surname</property>
     <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  <widget name="lga" meta_type="WAeUP LGA Widget">
-    <property name="title">LGA</property>
-    <property name="fields">
-      <element value="lga"/>
-    </property>
-    <property name="label">LGA</property>
-    <property name="label_edit">LGA</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+    <property name="is_required">True</property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+ <widget name="lga" meta_type="Select Widget">
+  <property name="title">Local Government Area</property>
+  <property name="fields">
+   <element value="lga"/>
+  </property>
+  <property name="label">Local Government Area</property>
+  <property name="label_edit">Local Government Area</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">local_gov_areas</property>
+ </widget>
   <widget name="middlenames" meta_type="String Widget">
     <property name="title">Middle Names</property>
@@ -347,6 +353,9 @@
     <property name="widget_mode_expr"></property>
     <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -485,22 +494,18 @@
     <property name="hidden_readonly_layout_modes"/>
   </widget>
-  <widget name="sex" meta_type="WAeUP Sex Widget">
-    <property name="title">Sex</property>
-    <property name="fields">
-      <element value="sex"/>
-    </property>
-    <property name="label">Sex</property>
-    <property name="label_edit">Sex</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="sex" meta_type="Boolean Widget">
+  <property name="title">Sex</property>
+  <property name="fields">
+   <element value="sex"/>
+  </property>
+  <property name="label">Sex</property>
+  <property name="label_edit">Sex</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">male</property>
+  <property name="label_true">female</property>
+  <property name="render_format">select</property>
+ </widget>
   <widget name="state" meta_type="WAeUP LGA Widget">
     <property name="title">State</property>
@@ -634,14 +639,17 @@
   <row>
    <cell name="middlenames" ncols="2"/>
+  </row>
+  <row>
+   <cell name="lastname" ncols="2"/>
+  </row>
+  <row>
+   <cell name="sex" ncols="2"/>
+  </row>
+  <row>
+   <cell name="date_of_birth" ncols="2"/>
+  </row>
+  <row>
+   <cell name="lga" ncols="2"/>
   </row>  
-  <row>
-   <cell name="lastname" ncols="2"/>
-  </row>
-  <row>
-   <cell name="sex" ncols="2"/>
-  </row>
-  <row>
-   <cell name="date_of_birth" ncols="2"/>
-  </row>
   <row>
    <cell name="email" ncols="2"/>