Index: /WAeUP_SRP/base/skins/waeup_utilities/writeStudentImages.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_utilities/writeStudentImages.py	(revision 2336)
+++ /WAeUP_SRP/base/skins/waeup_utilities/writeStudentImages.py	(revision 2337)
@@ -40,5 +40,5 @@
 logger.info("Start writing %d student images" % len(students))
 count = 0
-chunk = 100
+chunk = 50
 for student in students:
     count += 1
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/student_application.xml	(revision 2336)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/student_application.xml	(revision 2337)
@@ -258,5 +258,5 @@
   <property name="view_format">%d/%m/%Y</property>
  </widget>
- <widget name="passport" meta_type="Photo Widget">
+ <widget name="passport" meta_type="File Image Widget">
   <property name="title">Passport Picture</property>
   <property name="fields">
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/student_application_fe.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/student_application_fe.xml	(revision 2336)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/student_application_fe.xml	(revision 2337)
@@ -241,5 +241,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="passport" meta_type="Photo Widget">
+ <widget name="passport" meta_type="File Image Widget">
   <property name="title">Passport Picture</property>
   <property name="fields">
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance.xml	(revision 2336)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance.xml	(revision 2337)
@@ -8,5 +8,5 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
- <widget name="acc_inst" meta_type="Image Widget">
+ <widget name="acc_inst" meta_type="File Image Widget">
   <property name="title">Accepted by Institution</property>
   <property name="fields">
@@ -25,5 +25,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="acc_let" meta_type="Image Widget">
+ <widget name="acc_let" meta_type="File Image Widget">
   <property name="title">Acceptance Letter </property>
   <property name="fields">
@@ -42,5 +42,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="age_dec" meta_type="Image Widget">
+ <widget name="age_dec" meta_type="File Image Widget">
   <property name="title">Age Declaration</property>
   <property name="fields">
@@ -115,5 +115,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="alr_scan" meta_type="Image Widget">
+ <widget name="alr_scan" meta_type="File Image Widget">
   <property name="title">Scan of Advanced Level Result</property>
   <property name="fields">
@@ -132,5 +132,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="birth_certificate" meta_type="Image Widget">
+ <widget name="birth_certificate" meta_type="File Image Widget">
   <property name="title">Birth Certificate</property>
   <property name="fields">
@@ -165,5 +165,5 @@
   <property name="time_setting">False</property>
  </widget>
- <widget name="cert" meta_type="Image Widget">
+ <widget name="cert" meta_type="File Image Widget">
   <property name="title">Certificate</property>
   <property name="fields">
@@ -196,5 +196,5 @@
   <property name="prefix">CLR</property>
  </widget>
- <widget name="cred" meta_type="Image Widget">
+ <widget name="cred" meta_type="File Image Widget">
   <property name="title">Credential</property>
   <property name="fields">
@@ -280,5 +280,5 @@
   <property name="time_setting">False</property>
  </widget>
- <widget name="evid" meta_type="Image Widget">
+ <widget name="evid" meta_type="File Image Widget">
   <property name="title">Evidence of Name</property>
   <property name="fields">
@@ -369,5 +369,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="fst_sit_scan" meta_type="Image Widget">
+ <widget name="fst_sit_scan" meta_type="File Image Widget">
   <property name="title">Scan of First Sitting Result</property>
   <property name="fields">
@@ -440,5 +440,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="hq_scan" meta_type="Image Widget">
+ <widget name="hq_scan" meta_type="File Image Widget">
   <property name="title">Scan of Higher Qualification Result</property>
   <property name="fields">
@@ -498,5 +498,5 @@
   <property name="vocabulary">high_qual</property>
  </widget>
- <widget name="jamb_let" meta_type="Image Widget">
+ <widget name="jamb_let" meta_type="File Image Widget">
   <property name="title">JAMB Letter</property>
   <property name="fields">
@@ -515,5 +515,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="jamb_slip" meta_type="Image Widget">
+ <widget name="jamb_slip" meta_type="File Image Widget">
   <property name="title">JAMB Slip</property>
   <property name="fields">
@@ -546,5 +546,5 @@
   <property name="vocabulary">local_gov_areas</property>
  </widget>
- <widget name="lga_ident" meta_type="Image Widget">
+ <widget name="lga_ident" meta_type="File Image Widget">
   <property name="title">LGA Identification</property>
   <property name="fields">
@@ -593,5 +593,5 @@
   <property name="vocabulary">states</property>
  </widget>
- <widget name="ref_let" meta_type="Image Widget">
+ <widget name="ref_let" meta_type="File Image Widget">
   <property name="title">Referee Letter</property>
   <property name="fields">
@@ -610,5 +610,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="res_stat" meta_type="Image Widget">
+ <widget name="res_stat" meta_type="File Image Widget">
   <property name="title">Result Statement</property>
   <property name="fields">
@@ -684,5 +684,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="scd_sit_scan" meta_type="Image Widget">
+ <widget name="scd_sit_scan" meta_type="File Image Widget">
   <property name="title">Scan of Second Sitting Result</property>
   <property name="fields">
@@ -715,5 +715,5 @@
   <property name="vocabulary">exam_types</property>
  </widget>
- <widget name="stat_dec" meta_type="Image Widget">
+ <widget name="stat_dec" meta_type="File Image Widget">
   <property name="title">Statutory Declaration of Good Conduct</property>
   <property name="fields">
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance_fe.xml	(revision 2336)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance_fe.xml	(revision 2337)
@@ -8,5 +8,5 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
- <widget name="acc_inst" meta_type="Image Widget">
+ <widget name="acc_inst" meta_type="File Image Widget">
   <property name="title">Accepted by Institution</property>
   <property name="fields">
@@ -25,5 +25,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="acc_let" meta_type="Image Widget">
+ <widget name="acc_let" meta_type="File Image Widget">
   <property name="title">Acceptance Letter </property>
   <property name="fields">
@@ -42,5 +42,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="age_dec" meta_type="Image Widget">
+ <widget name="age_dec" meta_type="File Image Widget">
   <property name="title">Age Declaration</property>
   <property name="fields">
@@ -116,5 +116,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="alr_scan" meta_type="Image Widget">
+ <widget name="alr_scan" meta_type="File Image Widget">
   <property name="title">Scan of Advanced Level Result</property>
   <property name="fields">
@@ -133,5 +133,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="birth_certificate" meta_type="Image Widget">
+ <widget name="birth_certificate" meta_type="File Image Widget">
   <property name="title">Birth Certificate</property>
   <property name="fields">
@@ -166,5 +166,5 @@
   <property name="time_setting">False</property>
  </widget>
- <widget name="cert" meta_type="Image Widget">
+ <widget name="cert" meta_type="File Image Widget">
   <property name="title">Certificate</property>
   <property name="fields">
@@ -197,5 +197,5 @@
   <property name="prefix">CLR</property>
  </widget>
- <widget name="cred" meta_type="Image Widget">
+ <widget name="cred" meta_type="File Image Widget">
   <property name="title">Credential</property>
   <property name="fields">
@@ -281,5 +281,5 @@
   <property name="time_setting">False</property>
  </widget>
- <widget name="evid" meta_type="Image Widget">
+ <widget name="evid" meta_type="File Image Widget">
   <property name="title">Evidence of Name</property>
   <property name="fields">
@@ -355,5 +355,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="fst_sit_scan" meta_type="Image Widget">
+ <widget name="fst_sit_scan" meta_type="File Image Widget">
   <property name="title">Scan of First Sitting Result</property>
   <property name="fields">
@@ -426,5 +426,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="hq_scan" meta_type="Image Widget">
+ <widget name="hq_scan" meta_type="File Image Widget">
   <property name="title">Scan of Higher Qualification Result</property>
   <property name="fields">
@@ -484,5 +484,5 @@
   <property name="vocabulary">high_qual</property>
  </widget>
- <widget name="jamb_let" meta_type="Image Widget">
+ <widget name="jamb_let" meta_type="File Image Widget">
   <property name="title">JAMB Letter</property>
   <property name="fields">
@@ -501,5 +501,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="jamb_slip" meta_type="Image Widget">
+ <widget name="jamb_slip" meta_type="File Image Widget">
   <property name="title">JAMB Slip</property>
   <property name="fields">
@@ -533,5 +533,5 @@
   <property name="vocabulary">local_gov_areas</property>
  </widget>
- <widget name="lga_ident" meta_type="Image Widget">
+ <widget name="lga_ident" meta_type="File Image Widget">
   <property name="title">LGA Identification</property>
   <property name="fields">
@@ -599,5 +599,5 @@
   <property name="vocabulary">states</property>
  </widget>
- <widget name="ref_let" meta_type="Image Widget">
+ <widget name="ref_let" meta_type="File Image Widget">
   <property name="title">Referee Letter</property>
   <property name="fields">
@@ -616,5 +616,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="res_stat" meta_type="Image Widget">
+ <widget name="res_stat" meta_type="File Image Widget">
   <property name="title">Result Statement</property>
   <property name="fields">
@@ -690,5 +690,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="scd_sit_scan" meta_type="Image Widget">
+ <widget name="scd_sit_scan" meta_type="File Image Widget">
   <property name="title">Scan of Second Sitting Result</property>
   <property name="fields">
@@ -721,5 +721,5 @@
   <property name="vocabulary">exam_types</property>
  </widget>
- <widget name="stat_dec" meta_type="Image Widget">
+ <widget name="stat_dec" meta_type="File Image Widget">
   <property name="title">Statutory Declaration of Good Conduct</property>
   <property name="fields">