Index: WAeUP_SRP/base/skins/cps_custom/cpsdocument_edit_form.pt
===================================================================
--- WAeUP_SRP/base/skins/cps_custom/cpsdocument_edit_form.pt	(revision 2339)
+++ WAeUP_SRP/base/skins/cps_custom/cpsdocument_edit_form.pt	(revision 2340)
@@ -11,52 +11,4 @@
     <link rel="Stylesheet" type="text/css" href=""
       tal:attributes="href string:${base_url}document.css" />
-
-    <metal:block define-macro="widgets_javascript">
-    <!-- XXX this has to move to CPSSchemas -->
-    <style type="text/css"
-      tal:content="string:@import url(${base_url}calendar-win2k-1.css);"></style>
-    <script type="text/javascript" src="calendar.js"
-      tal:attributes="src string:${base_url}calendar.js"></script>
-    <script type="text/javascript" src="lang/calendar-en.js"
-      tal:define="local cpsmcat/getSelectedLanguage"
-      tal:attributes="src string:${base_url}lang/calendar-${local}.js"></script>
-    <script type="text/javascript" src="calendar-setup.js"
-      tal:attributes="src string:${base_url}calendar-setup.js"></script>
-    <script type="text/javascript" src="prototype.js"
-      tal:attributes="src string:${base_url}prototype.js"></script>
-    <script type="text/javascript" src="effects.js"
-      tal:attributes="src string:${base_url}effects.js"></script>
-    <script type="text/javascript" src="controls.js"
-      tal:attributes="src string:${base_url}controls.js"></script>
-    <script type="text/javascript" src="cpsdocument.js"
-      tal:attributes="src string:${base_url}cpsdocument.js"></script>
-    <tal:block condition="python:modules['Products.CPSUtil.integration'].isProductPresent('Products.FCKeditor')">
-      <script type="text/javascript">
-        var popup_editor_form = 'popup_fckeditor_form';
-        var width = 640;
-        var height = 520;
-      </script>
-    </tal:block>
-    <tal:block condition="python:modules['Products.CPSUtil.integration'].isProductPresent('Products.Epoz')">
-      <script type="text/javascript">
-        var popup_editor_form = 'popup_rte_form';
-        var width = 640;
-        var height = 480;
-      </script>
-    </tal:block>
-    <script type="text/javascript">
-     function popup_rte(input_id, label_edit) {
-       var args, value;
-       value = document.getElementById(input_id).value;
-       args = '?input_id='+input_id+'&amp;label_edit='+escape(label_edit);
-       str_window_features = 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,dependent=1,width=' + width + ',height=' + height;
-       popup = window.open(popup_editor_form + args, input_id, str_window_features);
-       if (!popup.opener) {
-         popup.opener = window;
-       }
-       return false;
-     }
-   </script>
-   </metal:block>
   </metal:block>
 
@@ -69,5 +21,5 @@
             tal:content="type_info/Title">Type Title</tal:block>
     </h3>
-    <h1 tal:condition="not:creation">
+    <h3 tal:condition="not:creation">
       <tal:block condition="python: edition and not metadata"
         i18n:translate="">Edit <span id="page_title" i18n:name="title"
@@ -75,5 +27,5 @@
       <tal:block tal:condition="metadata"
         i18n:translate="">Metadata of <span i18n:name="title" tal:content="here/title_or_id">Page Title</span></tal:block>
-    </h1>
+    </h3>
   </metal:block>
 
Index: WAeUP_SRP/base/skins/waeup_design/default.css.dtml
===================================================================
--- WAeUP_SRP/base/skins/waeup_design/default.css.dtml	(revision 2339)
+++ WAeUP_SRP/base/skins/waeup_design/default.css.dtml	(revision 2340)
@@ -789,8 +789,14 @@
 
 
+
+<dtml-comment>
+
+The read star is not really necessary!
+
 .required {
   padding-right: 0.5em;
   background: <dtml-var requiredField>;
 }
+</dtml-comment>
 
 .error {
Index: WAeUP_SRP/base/skins/waeup_design/stylesheet_properties.props
===================================================================
--- WAeUP_SRP/base/skins/waeup_design/stylesheet_properties.props	(revision 2339)
+++ WAeUP_SRP/base/skins/waeup_design/stylesheet_properties.props	(revision 2340)
@@ -54,4 +54,5 @@
 groupBorder:string=0px none transparent
 requiredField:string=url(required.png) right no-repeat
+
 
 inputFont:string=100% Arial, sans-serif, Verdana, Helvetica
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2339)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2340)
@@ -86,5 +86,5 @@
 headings = {}
 headings['pume'] = 'Apply for Post UME Screening Test (2007/2008)! '
-headings['pde'] = 'Apply for Post DE Screening Test(2007/2008)! '
+headings['pde'] = 'Apply for Post DE Screening Test (2007/2008)! '
 headings['prence'] = 'Apply for Pre-NCE Programme (2007/2008)! '
 headings['pce'] = 'Apply for PCE Screening (2007/2008)! '
@@ -112,5 +112,5 @@
     info['heading_slip'] = headings_slip[screening_type]
     layout = "application_%s" % screening_type
-    without_reg_no = screening_type in ('prence',)  
+    without_reg_no = screening_type in ('prence',)
 else:
     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())