Index: WAeUP_SRP/base/Widgets.py
===================================================================
--- WAeUP_SRP/base/Widgets.py	(revision 2343)
+++ WAeUP_SRP/base/Widgets.py	(revision 2344)
@@ -1387,5 +1387,5 @@
             do = 0
             err ='You are not a Student. PIN neither checked nor used.'
-            s_logger.info('%s tried to use scratch card %s' % (s_id,pin_str))
+            s_logger.info('%s tried to use scratch card %s' % (member_id,pin_str))
         elif len(b) > 1 and b.find('-') > -1:
             do = 0
@@ -1744,5 +1744,5 @@
             if not os.path.exists(base_path):
                 os.mkdir(base_path)
-            full_path = os.path.join(base_path, file_name)
+            full_path = os.path.join(base_path, filename)
             pict = open(full_path,"w")
             fileupload.seek(0)
@@ -1786,5 +1786,5 @@
     id_field = ""
     show_image = False
-    
+
     def getImageInfo(self, datastructure): ###(
         """Get the file info from the datastructure."""
Index: WAeUP_SRP/base/skins/waeup_layout/widget_passport_render.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/widget_passport_render.pt	(revision 2343)
+++ WAeUP_SRP/base/skins/waeup_layout/widget_passport_render.pt	(revision 2344)
@@ -22,5 +22,5 @@
   </span>
   <tal:block condition="python: mode == 'edit'">
-    <metal:block use-macro="here/widget_file_render/macros/file_size_max_view" />
+    
     <metal:block define-macro="image_title_edit">
       <span tal:condition="python:0">
@@ -31,4 +31,5 @@
     <img tal:condition="python:not empty_file and not session_file"
          tal:replace="structure image_tag" />
+         
     <metal:block define-macro="image_edit">
       <metal:block use-macro="here/widget_file_render/macros/file_edit">
@@ -45,4 +46,6 @@
       </metal:block>
     </metal:block>
+  <metal:block use-macro="here/widget_file_render/macros/file_size_max_view" />
+  
   </tal:block>
 </tal:block>
Index: WAeUP_SRP/fceokene/profiles/default/applicants_catalog.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/applicants_catalog.xml	(revision 2343)
+++ WAeUP_SRP/fceokene/profiles/default/applicants_catalog.xml	(revision 2344)
@@ -10,4 +10,7 @@
  <column value="lastname"/>
  <column value="lga"/>
+ <column value="jamb_age"/>
+ <column value="jamb_state"/>
+ <column value="jamb_lga"/>
  <column value="email"/>
  <column value="phone"/>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 2343)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 2344)
@@ -68,5 +68,7 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-  </widget>    
+  </widget>
+
+
   <widget name="date_of_birth" meta_type="DateTime Widget">
     <property name="title">Date of Birth</property>
@@ -77,5 +79,5 @@
     <property name="label_edit">Date of Birth (dd/mm/yyyy)</property>
     <property name="description"></property>
-    <property name="is_required">True</property>
+    <property name="is_required">False</property>
     <property name="help"></property>
     <property name="is_i18n">False</property>
@@ -89,6 +91,7 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-    <property name="is_i18n">False</property>
-  </widget>
+  </widget>
+
+
   <widget name="department" meta_type="String Widget">
     <property name="title">Department</property>
@@ -388,5 +391,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="passport" meta_type="No Zodb Image Widget">
+  <widget name="passport" meta_type="Application Image Widget">
     <property name="title">Passport Photograph</property>
     <property name="fields">
@@ -689,5 +692,4 @@
    <cell name="lastname" ncols="2"/>
   </row>
-
   <row>
    <cell name="jamb_age" ncols="2"/>
@@ -696,5 +698,8 @@
    <cell name="date_of_birth" ncols="2"/>
   </row>
-  
+
+
+
+
   <row>
    <cell name="jamb_state" ncols="2"/>
@@ -706,5 +711,5 @@
    <cell name="lga" ncols="2"/>
   </row>
-    
+
   <row>
    <cell name="email" ncols="2"/>
@@ -734,4 +739,5 @@
    <cell name="passport" ncols="2"/>
   </row>
+
  </table>
 </object>